function fCancelar(){
	FrmCls("Dni");
	//---------------------------------------------
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="L";
	//document.getElementById("Frm").submit();
}
//
function flNuevo(){
	SM("L");
}
//
function fGuardar(){
	var dni=gv("Dni");
	var nom=gv("Nom");
	var ape=gv("Ape");
	var car=gv("Car");
	var tel=gv("Tel");
	var cel=gv("Cel");
	var dir=gv("Dir");
	var hab=gv("Hab");
	var pas=gv("Pas");
	var paz=gv("Paz");
	var hin=gv("Hin");
	var api=gv("Api");
	var hsa=gv("Hsa");
	var aps=gv("Aps");
	//
	if(jVac(dni,"Ingrese el numero de dni","Dni"))return;
	if(jVac(nom,"Ingrese los nombres","Nom"))return;
	if(jVac(ape,"Seleccione el sexo","Ape"))return;
	if(jVac(car,"Seleccione un cargo","Car"))return;
	if(jVac(tel,"Ingrese el numero de telefono","Tel"))return;
	if(jVac(cel,"Ingrese el numero de celular","Cel"))return;
	if(jVac(dir,"Ingrese la direccion","Dir"))return;
	if(jVac(hab,"Determine si esta habilitado o no","Hab"))return;
	//
	if(jL(pas)>0 || jL(paz)>0){
		if(pas!=paz){
			return AF("Los password deben ser distintos","Pas");
		}
	}
	//
	if(jL(hin)>0 || jL(api)>0 || jL(hsa)>0 || jL(aps)>0){
		if(jVac(hin,"Ingrese el horario de ingreso","Hin"))return;
		if(jVac(api,"Seleccion el Am / Pm correspondiente","Api"))return;
		if(jVac(hsa,"Ingrese el horario de salida","Hsa"))return;		
		if(jVac(aps,"Seleccion el Am / Pm correspondiente","Aps"))return;
		//
		if(!EsHora(hin))return AF("Hora de ingreso no valida","Hin");
		if(!EsHora(hsa))return AF("Hora de salida no valida","Hsa");
		//		
	}
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			SM("G");
		}
	}else{
		if(pre("Esta seguro que desea modificar")){
			SM("M");
		}
	}
}
//
function OnDNI(){
	var d=gv("Dni");
	sv("Pas",d);sv("Paz",d);
}